Bug 1955045

Summary: Please backport lua patch from rawhide
Product: [Fedora] Fedora Reporter: Matthias Runge <mrunge>
Component: hexchatAssignee: Patrick Griffis <tingping>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: kevin, laine, oliver, philip.wyett, tingping
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: hexchat-2.14.3-13.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-06 01:00:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Matthias Runge 2021-04-29 10:54:44 UTC
Description of problem:

With lua 5.4.3, hexchat crashes, it works witg lua-5.4.2.

Also hexchat -n seems to work without crashing.


There is https://src.fedoraproject.org/rpms/hexchat/c/2e6b94c2febc8859cac2caec16c472c85051968a?branch=rawhide for rawhide, which is supposed to fix this issue.

Can you please backport this?

Comment 1 Laine Stump 2021-04-30 00:52:45 UTC
Also to F33 please! (I'm not cloning the bug just for that because I hate red tape! :-))

Comment 2 Fedora Update System 2021-04-30 15:43:02 UTC
FEDORA-2021-52f259786a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-52f259786a

Comment 3 Fedora Update System 2021-04-30 15:43:04 UTC
FEDORA-2021-52f259786a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-52f259786a

Comment 4 Fedora Update System 2021-04-30 15:43:53 UTC
FEDORA-2021-ca38d68abd has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ca38d68abd

Comment 5 Fedora Update System 2021-04-30 15:43:55 UTC
FEDORA-2021-ca38d68abd has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ca38d68abd

Comment 6 Fedora Update System 2021-05-01 02:04:56 UTC
FEDORA-2021-52f259786a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-52f259786a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-52f259786a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-05-01 02:10:22 UTC
FEDORA-2021-ca38d68abd has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ca38d68abd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ca38d68abd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-04 16:17:37 UTC
FEDORA-2021-ca38d68abd has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ca38d68abd

Comment 9 Fedora Update System 2021-05-04 16:36:57 UTC
FEDORA-2021-52f259786a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-52f259786a

Comment 10 Fedora Update System 2021-05-05 01:27:59 UTC
FEDORA-2021-ca38d68abd has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ca38d68abd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ca38d68abd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-05-05 01:49:45 UTC
FEDORA-2021-52f259786a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-52f259786a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-52f259786a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-05-06 01:00:59 UTC
FEDORA-2021-52f259786a has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-07-17 12:09:30 UTC
FEDORA-2021-ca38d68abd has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ca38d68abd

Comment 14 Fedora Update System 2021-07-18 01:23:45 UTC
FEDORA-2021-ca38d68abd has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ca38d68abd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ca38d68abd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-07-28 01:31:41 UTC
FEDORA-2021-ca38d68abd has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.